From 94909e0a6e4e9cc5d03df6d4f051643bda60faf7 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 23 2021 02:06:07 +0000
Subject: [PATCH 2141/2232] Remove duplicate unsafety parse from PR 689


---

diff --git a/syntax/parse.rs b/syntax/parse.rs
index f234d5a..2605218 100644
--- a/syntax/parse.rs
+++ b/syntax/parse.rs
@@ -633,7 +633,6 @@ fn parse_extern_fn(
     let mut throws_tokens = None;
     let ret = parse_return_type(&foreign_fn.sig.output, &mut throws_tokens)?;
     let throws = throws_tokens.is_some();
-    let unsafety = foreign_fn.sig.unsafety;
     let fn_token = foreign_fn.sig.fn_token;
     let inherited_span = unsafety.map_or(fn_token.span, |unsafety| unsafety.span);
     let visibility = visibility_pub(&foreign_fn.vis, inherited_span);

